Skip to main content
GET
/
threads
/
{id}
Get a thread with messages
curl --request GET \
  --url https://api.sentvia.ai/v1/threads/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "subject": "<string>",
  "last_message_at": "<string>",
  "messages": [
    {
      "id": "<string>",
      "thread_id": "<string>",
      "direction": "<string>",
      "from_addr": "<string>",
      "to_addrs": [
        "<string>"
      ],
      "subject": "<string>",
      "body_text": "<string>",
      "delivery_status": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

OK

id
string
subject
string | null
last_message_at
string
messages
object[]